#ifndef IFPACK2_ETIHELPERMACROS_H_
#define IFPACK2_ETIHELPERMACROS_H_

#include <Ifpack2_ConfigDefs.hpp>
#include <Tpetra_ConfigDefs.hpp>
#include <Tpetra_CrsMatrix.hpp>
#include <Tpetra_CrsGraph.hpp>

#define IFPACK2_INSTANTIATE_SL(INSTMACRO)\
	INSTMACRO( float , int )\
	INSTMACRO( double , int )\
	INSTMACRO( std_complex0float0 , int )\
	INSTMACRO( std_complex0double0 , int )


#define IFPACK2_INSTANTIATE_SL_REAL(INSTMACRO)\
	INSTMACRO( float , int , int )\
	INSTMACRO( double , int , int )


#define IFPACK2_INSTANTIATE_L(INSTMACRO)\
	INSTMACRO( int )


#define IFPACK2_INSTANTIATE_SLG(INSTMACRO)\
	INSTMACRO( float , int , int )\
	INSTMACRO( double , int , int )\
	INSTMACRO( std_complex0float0 , int , int )\
	INSTMACRO( std_complex0double0 , int , int )


#define IFPACK2_INSTANTIATE_SLG_REAL(INSTMACRO)\
	INSTMACRO( float , int , int )\
	INSTMACRO( double , int , int )


#define IFPACK2_INSTANTIATE_LG(INSTMACRO)\
	INSTMACRO( int , int )


#define IFPACK2_INSTANTIATE_SLGN(INSTMACRO)\
	INSTMACRO( float , int , int , Kokkos_Compat_KokkosOpenMPWrapperNode )\
	INSTMACRO( double , int , int , Kokkos_Compat_KokkosOpenMPWrapperNode )\
	INSTMACRO( std_complex0float0 , int , int , Kokkos_Compat_KokkosOpenMPWrapperNode )\
	INSTMACRO( std_complex0double0 , int , int , Kokkos_Compat_KokkosOpenMPWrapperNode )


#define IFPACK2_INSTANTIATE_SLGN_REAL(INSTMACRO)\
	INSTMACRO( float , int , int , Kokkos_Compat_KokkosOpenMPWrapperNode )\
	INSTMACRO( double , int , int , Kokkos_Compat_KokkosOpenMPWrapperNode )


#define IFPACK2_INSTANTIATE_LGN(INSTMACRO)\
	INSTMACRO( float , int , int , Kokkos_Compat_KokkosOpenMPWrapperNode )\
	INSTMACRO( double , int , int , Kokkos_Compat_KokkosOpenMPWrapperNode )\
	INSTMACRO( std_complex0float0 , int , int , Kokkos_Compat_KokkosOpenMPWrapperNode )\
	INSTMACRO( std_complex0double0 , int , int , Kokkos_Compat_KokkosOpenMPWrapperNode )


#define IFPACK2_INSTANTIATE_N(INSTMACRO)\
	INSTMACRO( Kokkos_Compat_KokkosOpenMPWrapperNode )


#define IFPACK2_ETI_MANGLING_TYPEDEFS()  \
	typedef Kokkos::Compat::KokkosOpenMPWrapperNode Kokkos_Compat_KokkosOpenMPWrapperNode; \
	typedef std::complex<float> std_complex0float0; \
	typedef std::complex<double> std_complex0double0;

#endif // IFPACK2_ETIHELPERMACROS_H_
