# @HEADER
# ************************************************************************
#
#            TriBITS: Tribal Build, Integrate, and Test System
#                    Copyright 2013 Sandia Corporation
#
# Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
# the U.S. Government retains certain rights in this software.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# 1. Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# 2. Redistributions in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
#
# 3. Neither the name of the Corporation nor the names of the
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY SANDIA CORPORATION "AS IS" AND ANY
# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL SANDIA CORPORATION OR THE
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# ************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by Trilinos/PanzerDofMgr clients.
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################

if(CMAKE_VERSION VERSION_LESS 3.3)
  set(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE
    "PanzerDofMgr requires CMake 3.3 or later for 'if (... IN_LIST ...)'"
    )
  set(${CMAKE_FIND_PACKAGE_NAME}_FOUND FALSE)
  return()
endif()
cmake_minimum_required(VERSION 3.3...3.17.0)

## ---------------------------------------------------------------------------
## Compilers used by Trilinos/PanzerDofMgr build
## ---------------------------------------------------------------------------

set(PanzerDofMgr_CXX_COMPILER "/usr/lib64/mpich/bin/mpicxx")

set(PanzerDofMgr_C_COMPILER "/usr/lib64/mpich/bin/mpicc")

set(PanzerDofMgr_Fortran_COMPILER "/usr/lib64/mpich/bin/mpif90")
# Deprecated!
set(PanzerDofMgr_FORTRAN_COMPILER "/usr/lib64/mpich/bin/mpif90") 


## ---------------------------------------------------------------------------
## Compiler flags used by Trilinos/PanzerDofMgr build
## ---------------------------------------------------------------------------

## Give the build type
set(PanzerDofMgr_CMAKE_BUILD_TYPE "Release")

## Set compiler flags, including those determined by build type
set(PanzerDofMgr_CXX_FLAGS [[ ]])

set(PanzerDofMgr_C_FLAGS [[ -pedantic -Wall -Wno-long-long -std=c99   -O2 -flto=auto -ffat-lto-objects -fexceptions  -grecord-gcc-switches -pipe -Wall  -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS    -m64 -mcpu=power8 -mtune=power8 -fasynchronous-unwind-tables -fstack-clash-protection -fPIC -w -I/usr/include/mpich-ppc64le -fopenmp ]])

set(PanzerDofMgr_Fortran_FLAGS [[ ]])
# Deprecated
set(PanzerDofMgr_FORTRAN_FLAGS [[ ]])

## Extra link flags (e.g., specification of fortran libraries)
set(PanzerDofMgr_EXTRA_LD_FLAGS [[]])

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty.
set(PanzerDofMgr_SHARED_LIB_RPATH_COMMAND "-Wl,-rpath,/usr//usr/lib64/mpich/lib")
set(PanzerDofMgr_BUILD_SHARED_LIBS "ON")

set(PanzerDofMgr_LINKER /usr/bin/ld)
set(PanzerDofMgr_AR /usr/bin/ar)

## ---------------------------------------------------------------------------
## Set library specifications and paths
## ---------------------------------------------------------------------------

## Base install location (if not in the build tree)
set(PanzerDofMgr_INSTALL_DIR "/usr")

## List of package include dirs
set(PanzerDofMgr_INCLUDE_DIRS "")

## List of package library paths
set(PanzerDofMgr_LIBRARY_DIRS "")

## List of package libraries
set(PanzerDofMgr_LIBRARIES "PanzerDofMgr::panzer-dof-mgr;PanzerCore::panzer-core;Phalanx::phalanx;Intrepid2::intrepid2;TpetraCore::tpetraext;TpetraCore::tpetrainout;TpetraCore::tpetra;TpetraCore::tpetraclassic;TpetraTSQR::kokkostsqr;Shards::shards;Epetra::epetra;Sacado::sacado;KokkosKernels::kokkoskernels;TeuchosKokkosComm::teuchoskokkoscomm;TeuchosKokkosCompat::teuchoskokkoscompat;TeuchosRemainder::teuchosremainder;TeuchosNumerics::teuchosnumerics;TeuchosComm::teuchoscomm;TeuchosParameterList::teuchosparameterlist;TeuchosParser::teuchosparser;TeuchosCore::teuchoscore;KokkosAlgorithms::kokkosalgorithms;KokkosContainers::kokkoscontainers;KokkosCore::kokkoscore")

## Specification of directories for TPL headers
set(PanzerDofMgr_TPL_INCLUDE_DIRS "")

## Specification of directories for TPL libraries
set(PanzerDofMgr_TPL_LIBRARY_DIRS "")

## List of required TPLs
set(PanzerDofMgr_TPL_LIBRARIES "DLlib::all_libs;Eigen::all_libs;SuperLU::all_libs;Boost::all_libs;LAPACK::all_libs;BLAS::all_libs;MPI::all_libs;Pthread::all_libs;yaml-cpp::all_libs")

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

set(PanzerDofMgr_MPI_LIBRARIES "")
set(PanzerDofMgr_MPI_LIBRARY_DIRS "")
set(PanzerDofMgr_MPI_INCLUDE_DIRS "")
set(PanzerDofMgr_MPI_EXEC "/usr/lib64/mpich/bin/mpiexec")
set(PanzerDofMgr_MPI_EXEC_MAX_NUMPROCS "4")
set(PanzerDofMgr_MPI_EXEC_NUMPROCS_FLAG "-np")

## ---------------------------------------------------------------------------
## Set useful general variables
## ---------------------------------------------------------------------------

## The packages enabled for this project
set(PanzerDofMgr_PACKAGE_LIST "PanzerDofMgr;PanzerCore;Phalanx;Intrepid2;Tpetra;TpetraCore;TpetraTSQR;Shards;Epetra;Sacado;KokkosKernels;Teuchos;TeuchosKokkosComm;TeuchosKokkosCompat;TeuchosRemainder;TeuchosNumerics;TeuchosComm;TeuchosParameterList;TeuchosParser;TeuchosCore;KokkosAlgorithms;KokkosContainers;KokkosCore")

## The TPLs enabled for this project
set(PanzerDofMgr_TPL_LIST "DLlib;Eigen;SuperLU;Boost;LAPACK;BLAS;MPI;Pthread;yaml-cpp")

# Enables/Disables for upstream package dependencies
set(PanzerDofMgr_ENABLE_Shards ON)
set(PanzerDofMgr_ENABLE_Intrepid2 ON)
set(PanzerDofMgr_ENABLE_TeuchosCore ON)
set(PanzerDofMgr_ENABLE_TeuchosComm ON)
set(PanzerDofMgr_ENABLE_Tpetra ON)
set(PanzerDofMgr_ENABLE_Phalanx ON)
set(PanzerDofMgr_ENABLE_PanzerCore ON)
set(PanzerDofMgr_ENABLE_Epetra ON)
set(PanzerDofMgr_ENABLE_MPI ON)

# Exported cache variables
set(Panzer_ENABLE_DEBUG "OFF")
set(PANZER_DEBUG "OFF")
set(Panzer_ENABLE_EXPLICIT_INSTANTIATION "ON")
set(HAVE_PANZER_EXPLICIT_INSTANTIATION "ON")

# Include configuration of dependent packages
if (NOT TARGET Shards::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Shards/ShardsConfig.cmake")
endif()
if (NOT TARGET Intrepid2::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Intrepid2/Intrepid2Config.cmake")
endif()
if (NOT TARGET TeuchosCore::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../TeuchosCore/TeuchosCoreConfig.cmake")
endif()
if (NOT TARGET TeuchosComm::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../TeuchosComm/TeuchosCommConfig.cmake")
endif()
if (NOT TARGET Tpetra::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Tpetra/TpetraConfig.cmake")
endif()
if (NOT TARGET Phalanx::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Phalanx/PhalanxConfig.cmake")
endif()
if (NOT TARGET PanzerCore::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../PanzerCore/PanzerCoreConfig.cmake")
endif()
if (NOT TARGET Epetra::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Epetra/EpetraConfig.cmake")
endif()
if (NOT TARGET MPI::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Trilinos/external_packages/MPI/MPIConfig.cmake")
endif()

# Import PanzerDofMgr targets
include("${CMAKE_CURRENT_LIST_DIR}/PanzerDofMgrTargets.cmake")

## ----------------------------------------------------------------------------
## Create deprecated non-namespaced library targets for backwards compatibility
## ----------------------------------------------------------------------------

set(PanzerDofMgr_EXPORTED_PACKAGE_LIBS_NAMES "panzer-dof-mgr")

foreach(libname IN LISTS PanzerDofMgr_EXPORTED_PACKAGE_LIBS_NAMES)
  if (NOT TARGET ${libname})
    add_library(${libname} INTERFACE IMPORTED)
    target_link_libraries(${libname}
       INTERFACE PanzerDofMgr::${libname})
    set(deprecationMessage
      "WARNING: The non-namespaced target '${libname}' is deprecated!"
      "  If always using newer versions of the project 'Trilinos', then use the"
      " new namespaced target 'PanzerDofMgr::${libname}', or better yet,"
      " 'PanzerDofMgr::all_libs' to be less sensitive to changes in the definition"
      " of targets in the package 'PanzerDofMgr'.  Or, to maintain compatibility with"
      " older or newer versions the project 'Trilinos', instead link against the"
      " libraries specified by the variable 'PanzerDofMgr_LIBRARIES'."
      )
    string(REPLACE ";" "" deprecationMessage "${deprecationMessage}")
    set_target_properties(${libname}
      PROPERTIES DEPRECATION "${deprecationMessage}" )
  endif()
endforeach()
