# @HEADER
# ************************************************************************
#
#            TriBITS: Tribal Build, Integrate, and Test System
#                    Copyright 2013 Sandia Corporation
#
# Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
# the U.S. Government retains certain rights in this software.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# 1. Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# 2. Redistributions in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
#
# 3. Neither the name of the Corporation nor the names of the
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY SANDIA CORPORATION "AS IS" AND ANY
# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL SANDIA CORPORATION OR THE
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# ************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by Trilinos/TrilinosBuildStats clients.
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################

if(CMAKE_VERSION VERSION_LESS 3.3)
  set(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE
    "TrilinosBuildStats requires CMake 3.3 or later for 'if (... IN_LIST ...)'"
    )
  set(${CMAKE_FIND_PACKAGE_NAME}_FOUND FALSE)
  return()
endif()
cmake_minimum_required(VERSION 3.3...3.17.0)

## ---------------------------------------------------------------------------
## Compilers used by Trilinos/TrilinosBuildStats build
## ---------------------------------------------------------------------------

set(TrilinosBuildStats_CXX_COMPILER "/usr/lib64/mpich/bin/mpicxx")

set(TrilinosBuildStats_C_COMPILER "/usr/lib64/mpich/bin/mpicc")

set(TrilinosBuildStats_Fortran_COMPILER "/usr/lib64/mpich/bin/mpif90")
# Deprecated!
set(TrilinosBuildStats_FORTRAN_COMPILER "/usr/lib64/mpich/bin/mpif90") 


## ---------------------------------------------------------------------------
## Compiler flags used by Trilinos/TrilinosBuildStats build
## ---------------------------------------------------------------------------

## Give the build type
set(TrilinosBuildStats_CMAKE_BUILD_TYPE "Release")

## Set compiler flags, including those determined by build type
set(TrilinosBuildStats_CXX_FLAGS [[ ]])

set(TrilinosBuildStats_C_FLAGS [[ -pedantic -Wall -Wno-long-long -std=c99   -O2 -flto=auto -ffat-lto-objects -fexceptions  -grecord-gcc-switches -pipe -Wall  -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS    -m64 -mcpu=power8 -mtune=power8 -fasynchronous-unwind-tables -fstack-clash-protection -fPIC -w -I/usr/include/mpich-ppc64le -fopenmp ]])

set(TrilinosBuildStats_Fortran_FLAGS [[ ]])
# Deprecated
set(TrilinosBuildStats_FORTRAN_FLAGS [[ ]])

## Extra link flags (e.g., specification of fortran libraries)
set(TrilinosBuildStats_EXTRA_LD_FLAGS [[]])

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty.
set(TrilinosBuildStats_SHARED_LIB_RPATH_COMMAND "-Wl,-rpath,/usr//usr/lib64/mpich/lib")
set(TrilinosBuildStats_BUILD_SHARED_LIBS "ON")

set(TrilinosBuildStats_LINKER /usr/bin/ld)
set(TrilinosBuildStats_AR /usr/bin/ar)

## ---------------------------------------------------------------------------
## Set library specifications and paths
## ---------------------------------------------------------------------------

## Base install location (if not in the build tree)
set(TrilinosBuildStats_INSTALL_DIR "/usr")

## List of package include dirs
set(TrilinosBuildStats_INCLUDE_DIRS "")

## List of package library paths
set(TrilinosBuildStats_LIBRARY_DIRS "")

## List of package libraries
set(TrilinosBuildStats_LIBRARIES "")

## Specification of directories for TPL headers
set(TrilinosBuildStats_TPL_INCLUDE_DIRS "")

## Specification of directories for TPL libraries
set(TrilinosBuildStats_TPL_LIBRARY_DIRS "")

## List of required TPLs
set(TrilinosBuildStats_TPL_LIBRARIES "")

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

set(TrilinosBuildStats_MPI_LIBRARIES "")
set(TrilinosBuildStats_MPI_LIBRARY_DIRS "")
set(TrilinosBuildStats_MPI_INCLUDE_DIRS "")
set(TrilinosBuildStats_MPI_EXEC "/usr/lib64/mpich/bin/mpiexec")
set(TrilinosBuildStats_MPI_EXEC_MAX_NUMPROCS "4")
set(TrilinosBuildStats_MPI_EXEC_NUMPROCS_FLAG "-np")

## ---------------------------------------------------------------------------
## Set useful general variables
## ---------------------------------------------------------------------------

## The packages enabled for this project
set(TrilinosBuildStats_PACKAGE_LIST "")

## The TPLs enabled for this project
set(TrilinosBuildStats_TPL_LIST "")

# Enables/Disables for upstream package dependencies

# Exported cache variables

# Include configuration of dependent packages

# Import TrilinosBuildStats targets
include("${CMAKE_CURRENT_LIST_DIR}/TrilinosBuildStatsTargets.cmake")

## ----------------------------------------------------------------------------
## Create deprecated non-namespaced library targets for backwards compatibility
## ----------------------------------------------------------------------------

set(TrilinosBuildStats_EXPORTED_PACKAGE_LIBS_NAMES "")

foreach(libname IN LISTS TrilinosBuildStats_EXPORTED_PACKAGE_LIBS_NAMES)
  if (NOT TARGET ${libname})
    add_library(${libname} INTERFACE IMPORTED)
    target_link_libraries(${libname}
       INTERFACE TrilinosBuildStats::${libname})
    set(deprecationMessage
      "WARNING: The non-namespaced target '${libname}' is deprecated!"
      "  If always using newer versions of the project 'Trilinos', then use the"
      " new namespaced target 'TrilinosBuildStats::${libname}', or better yet,"
      " 'TrilinosBuildStats::all_libs' to be less sensitive to changes in the definition"
      " of targets in the package 'TrilinosBuildStats'.  Or, to maintain compatibility with"
      " older or newer versions the project 'Trilinos', instead link against the"
      " libraries specified by the variable 'TrilinosBuildStats_LIBRARIES'."
      )
    string(REPLACE ";" "" deprecationMessage "${deprecationMessage}")
    set_target_properties(${libname}
      PROPERTIES DEPRECATION "${deprecationMessage}" )
  endif()
endforeach()
