# @HEADER
# ************************************************************************
#
#            TriBITS: Tribal Build, Integrate, and Test System
#                    Copyright 2013 Sandia Corporation
#
# Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
# the U.S. Government retains certain rights in this software.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# 1. Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# 2. Redistributions in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
#
# 3. Neither the name of the Corporation nor the names of the
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY SANDIA CORPORATION "AS IS" AND ANY
# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL SANDIA CORPORATION OR THE
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# ************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by Trilinos/TrilinosCouplings clients.
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################

if(CMAKE_VERSION VERSION_LESS 3.3)
  set(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE
    "TrilinosCouplings requires CMake 3.3 or later for 'if (... IN_LIST ...)'"
    )
  set(${CMAKE_FIND_PACKAGE_NAME}_FOUND FALSE)
  return()
endif()
cmake_minimum_required(VERSION 3.3...3.17.0)

## ---------------------------------------------------------------------------
## Compilers used by Trilinos/TrilinosCouplings build
## ---------------------------------------------------------------------------

set(TrilinosCouplings_CXX_COMPILER "/usr/lib64/mpich/bin/mpicxx")

set(TrilinosCouplings_C_COMPILER "/usr/lib64/mpich/bin/mpicc")

set(TrilinosCouplings_Fortran_COMPILER "/usr/lib64/mpich/bin/mpif90")
# Deprecated!
set(TrilinosCouplings_FORTRAN_COMPILER "/usr/lib64/mpich/bin/mpif90") 


## ---------------------------------------------------------------------------
## Compiler flags used by Trilinos/TrilinosCouplings build
## ---------------------------------------------------------------------------

## Give the build type
set(TrilinosCouplings_CMAKE_BUILD_TYPE "Release")

## Set compiler flags, including those determined by build type
set(TrilinosCouplings_CXX_FLAGS [[ ]])

set(TrilinosCouplings_C_FLAGS [[ -pedantic -Wall -Wno-long-long -std=c99   -O2 -flto=auto -ffat-lto-objects -fexceptions  -grecord-gcc-switches -pipe -Wall  -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS    -m64 -mcpu=power8 -mtune=power8 -fasynchronous-unwind-tables -fstack-clash-protection -fPIC -w -I/usr/include/mpich-ppc64le -fopenmp ]])

set(TrilinosCouplings_Fortran_FLAGS [[ ]])
# Deprecated
set(TrilinosCouplings_FORTRAN_FLAGS [[ ]])

## Extra link flags (e.g., specification of fortran libraries)
set(TrilinosCouplings_EXTRA_LD_FLAGS [[]])

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty.
set(TrilinosCouplings_SHARED_LIB_RPATH_COMMAND "-Wl,-rpath,/usr//usr/lib64/mpich/lib")
set(TrilinosCouplings_BUILD_SHARED_LIBS "ON")

set(TrilinosCouplings_LINKER /usr/bin/ld)
set(TrilinosCouplings_AR /usr/bin/ar)

## ---------------------------------------------------------------------------
## Set library specifications and paths
## ---------------------------------------------------------------------------

## Base install location (if not in the build tree)
set(TrilinosCouplings_INSTALL_DIR "/usr")

## List of package include dirs
set(TrilinosCouplings_INCLUDE_DIRS "")

## List of package library paths
set(TrilinosCouplings_LIBRARY_DIRS "")

## List of package libraries
set(TrilinosCouplings_LIBRARIES "TrilinosCouplings::trilinoscouplings;Stokhos::stokhos_muelu;Stokhos::stokhos_muelu_pce_openmp;Stokhos::stokhos_muelu_mp_16_openmp;Stokhos::stokhos_ifpack2;Stokhos::stokhos_ifpack2_pce_openmp;Stokhos::stokhos_ifpack2_mp_16_openmp;Stokhos::stokhos_amesos2;Stokhos::stokhos_amesos2_mp_16_openmp;Stokhos::stokhos_xpetra;Stokhos::stokhos_xpetra_pce_openmp;Stokhos::stokhos_xpetra_mp_16_openmp;Stokhos::stokhos_tpetra;Stokhos::stokhos_tpetraext_pce_openmp;Stokhos::stokhos_tpetra_pce_openmp;Stokhos::stokhos_tpetra_sd_pce_openmp;Stokhos::stokhos_tpetraext_mp_16_openmp;Stokhos::stokhos_tpetra_mp_16_openmp;Stokhos::stokhos_tpetra_sd_mp_16_openmp;Stokhos::stokhos_sacado;Stokhos::stokhos;MueLu::muelu-adapters;MueLu::muelu;NOX::locatpetra;NOX::locathyra;NOX::locaepetra;NOX::localapack;NOX::loca;NOX::noxepetra;NOX::noxlapack;NOX::nox;Intrepid2::intrepid2;Teko::teko;Stratimikos::stratimikos;Stratimikos::stratimikosbelos;Stratimikos::stratimikosamesos2;Stratimikos::stratimikosaztecoo;Stratimikos::stratimikosamesos;Stratimikos::stratimikosml;Stratimikos::stratimikosifpack;Ifpack2::ifpack2-adapters;Ifpack2::ifpack2;Anasazi::anasazitpetra;Anasazi::ModeLaplace;Anasazi::anasaziepetra;Anasazi::anasazi;Amesos2::amesos2;ShyLU_NodeBasker::shylu_nodebasker;ShyLU_NodeTacho::tacho;ShyLU_NodeHTS::shylu_nodehts;Belos::belosxpetra;Belos::belostpetra;Belos::belosepetra;Belos::belos;ML::ml;Ifpack::ifpack;Zoltan2Core::zoltan2;Amesos::amesos;Galeri::galeri-xpetra;Galeri::galeri-epetra;AztecOO::aztecoo;Isorropia::isorropia;Xpetra::xpetra-sup;Xpetra::xpetra;ThyraTpetraAdapters::thyratpetra;ThyraEpetraExtAdapters::thyraepetraext;ThyraEpetraAdapters::thyraepetra;ThyraCore::thyracore;TrilinosSS::trilinosss;TpetraCore::tpetraext;TpetraCore::tpetrainout;TpetraCore::tpetra;TpetraCore::tpetraclassic;TpetraTSQR::kokkostsqr;EpetraExt::epetraext;Triutils::triutils;Shards::shards;Zoltan::zoltan;Epetra::epetra;Sacado::sacado;RTOp::rtop;KokkosKernels::kokkoskernels;TeuchosKokkosComm::teuchoskokkoscomm;TeuchosKokkosCompat::teuchoskokkoscompat;TeuchosRemainder::teuchosremainder;TeuchosNumerics::teuchosnumerics;TeuchosComm::teuchoscomm;TeuchosParameterList::teuchosparameterlist;TeuchosParser::teuchosparser;TeuchosCore::teuchoscore;KokkosSimd::kokkossimd;KokkosAlgorithms::kokkosalgorithms;KokkosContainers::kokkoscontainers;KokkosCore::kokkoscore")

## Specification of directories for TPL headers
set(TrilinosCouplings_TPL_INCLUDE_DIRS "")

## Specification of directories for TPL libraries
set(TrilinosCouplings_TPL_LIBRARY_DIRS "")

## List of required TPLs
set(TrilinosCouplings_TPL_LIBRARIES "DLlib::all_libs;Eigen::all_libs;MUMPS::all_libs;SCALAPACK::all_libs;HYPRE::all_libs;AMD::all_libs;UMFPACK::all_libs;SuperLU::all_libs;HDF5::all_libs;Zlib::all_libs;Scotch::all_libs;Boost::all_libs;LAPACK::all_libs;BLAS::all_libs;MPI::all_libs;Pthread::all_libs;yaml-cpp::all_libs")

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

set(TrilinosCouplings_MPI_LIBRARIES "")
set(TrilinosCouplings_MPI_LIBRARY_DIRS "")
set(TrilinosCouplings_MPI_INCLUDE_DIRS "")
set(TrilinosCouplings_MPI_EXEC "/usr/lib64/mpich/bin/mpiexec")
set(TrilinosCouplings_MPI_EXEC_MAX_NUMPROCS "4")
set(TrilinosCouplings_MPI_EXEC_NUMPROCS_FLAG "-np")

## ---------------------------------------------------------------------------
## Set useful general variables
## ---------------------------------------------------------------------------

## The packages enabled for this project
set(TrilinosCouplings_PACKAGE_LIST "TrilinosCouplings;Stokhos;MueLu;NOX;Intrepid2;Teko;Stratimikos;Ifpack2;Anasazi;Amesos2;ShyLU_NodeBasker;ShyLU_NodeTacho;ShyLU_NodeHTS;Belos;ML;Ifpack;Zoltan2Core;Amesos;Galeri;AztecOO;Isorropia;Xpetra;Thyra;ThyraTpetraAdapters;ThyraEpetraExtAdapters;ThyraEpetraAdapters;ThyraCore;TrilinosSS;Tpetra;TpetraCore;TpetraTSQR;EpetraExt;Triutils;Shards;Zoltan;Epetra;Sacado;RTOp;KokkosKernels;Teuchos;TeuchosKokkosComm;TeuchosKokkosCompat;TeuchosRemainder;TeuchosNumerics;TeuchosComm;TeuchosParameterList;TeuchosParser;TeuchosCore;Kokkos;KokkosSimd;KokkosAlgorithms;KokkosContainers;KokkosCore")

## The TPLs enabled for this project
set(TrilinosCouplings_TPL_LIST "DLlib;Eigen;MUMPS;SCALAPACK;HYPRE;AMD;UMFPACK;SuperLU;HDF5;Zlib;Scotch;Boost;LAPACK;BLAS;MPI;Pthread;yaml-cpp")

# Enables/Disables for upstream package dependencies
set(TrilinosCouplings_ENABLE_Amesos ON)
set(TrilinosCouplings_ENABLE_AztecOO ON)
set(TrilinosCouplings_ENABLE_Belos ON)
set(TrilinosCouplings_ENABLE_EpetraExt ON)
set(TrilinosCouplings_ENABLE_Ifpack ON)
set(TrilinosCouplings_ENABLE_Isorropia ON)
set(TrilinosCouplings_ENABLE_ML ON)
set(TrilinosCouplings_ENABLE_MueLu ON)
set(TrilinosCouplings_ENABLE_NOX ON)
set(TrilinosCouplings_ENABLE_Stokhos ON)
set(TrilinosCouplings_ENABLE_Zoltan ON)

# Exported cache variables
set(TrilinosCouplings_ENABLE_Newp_swahili "OFF")
set(HAVE_NEWP_SWAHILI "OFF")
set(TrilinosCouplings_ENABLE_ML_Nox "ON")
set(HAVE_ML_NOX "ON")

# Include configuration of dependent packages
if (NOT TARGET Amesos::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Amesos/AmesosConfig.cmake")
endif()
if (NOT TARGET AztecOO::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../AztecOO/AztecOOConfig.cmake")
endif()
if (NOT TARGET Belos::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Belos/BelosConfig.cmake")
endif()
if (NOT TARGET EpetraExt::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../EpetraExt/EpetraExtConfig.cmake")
endif()
if (NOT TARGET Ifpack::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Ifpack/IfpackConfig.cmake")
endif()
if (NOT TARGET Isorropia::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Isorropia/IsorropiaConfig.cmake")
endif()
if (NOT TARGET ML::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../ML/MLConfig.cmake")
endif()
if (NOT TARGET MueLu::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../MueLu/MueLuConfig.cmake")
endif()
if (NOT TARGET NOX::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../NOX/NOXConfig.cmake")
endif()
if (NOT TARGET Stokhos::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Stokhos/StokhosConfig.cmake")
endif()
if (NOT TARGET Zoltan::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Zoltan/ZoltanConfig.cmake")
endif()

# Import TrilinosCouplings targets
include("${CMAKE_CURRENT_LIST_DIR}/TrilinosCouplingsTargets.cmake")

## ----------------------------------------------------------------------------
## Create deprecated non-namespaced library targets for backwards compatibility
## ----------------------------------------------------------------------------

set(TrilinosCouplings_EXPORTED_PACKAGE_LIBS_NAMES "trilinoscouplings")

foreach(libname IN LISTS TrilinosCouplings_EXPORTED_PACKAGE_LIBS_NAMES)
  if (NOT TARGET ${libname})
    add_library(${libname} INTERFACE IMPORTED)
    target_link_libraries(${libname}
       INTERFACE TrilinosCouplings::${libname})
    set(deprecationMessage
      "WARNING: The non-namespaced target '${libname}' is deprecated!"
      "  If always using newer versions of the project 'Trilinos', then use the"
      " new namespaced target 'TrilinosCouplings::${libname}', or better yet,"
      " 'TrilinosCouplings::all_libs' to be less sensitive to changes in the definition"
      " of targets in the package 'TrilinosCouplings'.  Or, to maintain compatibility with"
      " older or newer versions the project 'Trilinos', instead link against the"
      " libraries specified by the variable 'TrilinosCouplings_LIBRARIES'."
      )
    string(REPLACE ";" "" deprecationMessage "${deprecationMessage}")
    set_target_properties(${libname}
      PROPERTIES DEPRECATION "${deprecationMessage}" )
  endif()
endforeach()
